このページはAIにより自動翻訳されており、不正確な内容が含まれている可能性があります。翻訳の誤りを報告するには、ページ右側の目次の下にあるフィードバックをご利用ください。
スケジュールされた今後のCampaignsとCanvasesを一覧表示する
get
/messages/scheduled_broadcasts
このエンドポイントを使用して、現在からリクエストで指定された
end_timeまでのスケジュールされたCampaignsとエントリCanvasesに関する情報のJSONリストを返します。
毎日繰り返されるメッセージは、次回の発生時に1回だけ表示されます。このエンドポイントで返される結果には、Brazeダッシュボードで作成およびスケジュールされたCampaignsとCanvasesが含まれます。
前提条件
このエンドポイントを使用するには、messages.schedule_broadcasts 権限を持つ APIキーが必要です。
レート制限
APIレート制限に記載されているように、このエンドポイントにはデフォルトのBrazeレート制限(1時間あたり250,000リクエスト)が適用されます。
リクエストパラメーター
| パラメーター | 必須 | データタイプ | 説明 |
|---|---|---|---|
end_time |
必須 | ISO-8601形式の文字列 | スケジュールされた今後のCampaignsとCanvasesを取得する範囲の終了日。これはAPIによってUTC時間の午前0時として扱われます。 |
リクエスト例
1
2
curl --location --request GET 'https://rest.iad-01.braze.com/messages/scheduled_broadcasts?end_time=2018-09-01T00:00:00-04:00' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'
応答
1
2
3
4
5
6
7
8
9
10
11
12
{
"scheduled_broadcasts": [
{
"name": (string) the name of the scheduled broadcast,
"id": (stings) the Canvas or campaign identifier,
"type": (string) the broadcast type either Canvas or Campaign,
"tags": (array) an array of tag names formatted as strings,
"next_send_time": (string) The next send time formatted in ISO 8601, may also include time zone if not local/intelligent delivery,
"schedule_type": (string) The schedule type, either local_time_zones, intelligent_delivery or the name of your company's time zone
}
]
}
New Stuff!